Bug 115601 - [Maintainer Update] cad/brlcad 7.10.0 -> 7.10.2
Summary: [Maintainer Update] cad/brlcad 7.10.0 -> 7.10.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-17 16:00 UTC by Erik Greenwald
Modified: 2007-08-27 15:10 UTC (History)
1 user (show)

See Also:


Attachments
cad_brlcad.patch (67.66 KB, patch)
2007-08-17 16:00 UTC, Erik Greenwald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Greenwald 2007-08-17 16:00:04 UTC
Update to 7.10.2. Finally able to use TCL and TK ports instead of building
internal versions.  OpenNURBS disabled by default.

Two files need to get the "cvs rm" treatment:
	files/patch-include_machine.h
	files/patch-src_liboptical_Makefile.in

Note: for the TK test during configure, a valid X server is necessary. If one
is not available or DISPLAY isn't set correctly, this will build TK and the
plist will be wrong (but rm -rf $PREFIX/brlcad will "undo" damage on
pkg_delete). Fixing that is fairly high on my todo list, and will be fixed in
the next release if not sooner.

Thanks!
Comment 1 Martin Wilke freebsd_committer 2007-08-19 22:57:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-08-27 15:06:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-08-27 15:06:24 UTC
miwi        2007-08-27 14:06:15 UTC

  FreeBSD ports repository

  Modified files:
    cad/brlcad           Makefile distinfo pkg-plist 
  Log:
  - Update to 7.10.2
  
  PR:             115601
  Submitted by:   Erik Greenwald <erik@smluc.org> (maintainer)
  
  Revision  Changes    Path
  1.24      +71 -358   ports/cad/brlcad/Makefile
  1.14      +3 -3      ports/cad/brlcad/distinfo
  1.15      +44 -1057  ports/cad/brlcad/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"